### Constructor

# EDataBook DataBook new

#### Declaration [src]

    EDataBook*
    e_data_book_new (
      _EBookBackend* backend,
      GDBusConnection* connection,
      const gchar* object_path,
      GError** error
    )

#### Description [src]

Creates a new `EDataBook` and exports the AddressBook D-Bus interface on `connection` at `object_path`. The `EDataBook` handles incoming remote method invocations and forwards them to the `backend`. If the AddressBook interface fails to export, the function sets `error` and returns `NULL`.

#### Parameters

`backend`

  Type: `EBookBackend`

  An `EBookBackend`.

  The data is owned by the caller of the function.

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection`.

  The data is owned by the caller of the function.

`object_path`

  Type: `const gchar*`

  Object path for the D-Bus interface.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EDataBook`

An `EDataBook`, or `NULL` on error.

The caller of the function takes ownership of the data, and is responsible for freeing it.